Bug 48230 - Immediate window's autocompletion is case sensitive
Summary: Immediate window's autocompletion is case sensitive
Status: RESOLVED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: Debugger (show other bugs)
Version: 7.2 (d15-4)
Hardware: Macintosh Mac OS
: Normal normal
Target Milestone: 15.6
Assignee: David Karlaš
URL:
Depends on:
Blocks:
 
Reported: 2016-11-28 19:21 UTC by Stephen Shaw
Modified: 2017-10-23 13:46 UTC (History)
2 users (show)

Tags: vsfmbb08,ac
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Stephen Shaw 2016-11-28 19:21:07 UTC
If I have a variable like "Session" and you want to use it in the immediate window you get this:

"s" -> empty completion window
"S" -> "Session" shows up

In the xml and c# editors it doesn't pay attention to the casing of the variable when filling the autocompletion window.
Comment 1 John Miller [MSFT] 2017-08-17 15:26:46 UTC
I can confirm using the latest Visual Studio 2017 for Mac Preview version 7.2 I am able to reproduce this issue. Marking this report as CONFIRMED.
Comment 2 xamarin-release-manager 2017-10-23 13:46:10 UTC
Fixed in version 7.4.0.368 (master)

Pull Request #163 merged by: David Karla??
Author: mono
Commit: 62df158a916e0f78a41735e71f80c8c7f02b19c5 (mono/debugger-libs)
Included in Commit: 6817a060b9211f99da716e9f2d52f1c1b040dcd0 (mono/monodevelop)